// GenLib.h
// Header file for general C++ utilities for PCs

#include <stdio.h>

#ifndef GENLIB_H
#define GENLIB_H

	typedef char* String;
	typedef FILE* FilePtr;

	enum Boolean {False = 0, True = 1};

	#define STRING(s) (strcpy(malloc(strlen(s)+1), s))

	void AnyKey(void);
	void CheckStop();
	int GetInt(String, int Min, int Max);
	char GetYNAns(String);
	void Error(String);
	void OpenDBFile(void);
	void CloseDBFile(void);
	void ClearFullScreen(void);

#endif
