// GenLib.c
// Contains general purpose C++ routines, no OOP needed
// General I/O etc, Borland C version is better due to its conio library
// Started 6/3/92
// Revised for MS VC++, October 2000

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <dos.h>


#include <conio.h>
#include <ctype.h>
#include <stdio.h>
#include "genlib.h"


void AnyKey()
// Writes message on next line, waits for KeyPress
{
	_cprintf("********  Press any key to continue  ********");
	_getch();
}

void CheckStop()
// Checks to see if should make clean exit now
{
	_cprintf("**  <ESC> to quit, other keys to continue  **");
	if (_getch() == 27)
		exit(0);
}

int GetInt(String Blurb, int Min, int Max)
// Writes blurb at current text cursor location
// Repeats if outside range (Min .. Max)
// Goes horrendously wrong if Alpha char is typed!!
{
	int Num = Min - 1;
	while ((Num < Min)||(Num > Max))
	{
		_cprintf("%s%s%d%s%d%s", Blurb, "(", Min, "..", Max, "): ");
		_cscanf("%i", &Num);
		
	} 
	_cprintf("\n");
	return Num;
}



char GetYNAns(String Blurb)
// Displays a question and waits for Y/N as answer
{

	char A = 'X';
	enum Boolean OK = False;

	_cprintf(Blurb, "(Y/N): ");
	do
	{
		A = _getch() & 0x5f;
		if (A == 'Y' || A == 'N')
		{
			OK = True;
		}

	}  	while (!OK);
	_cprintf(" ", A, "\n");
	return A;
}



void Error(String Message)
// Displays error message on bottom line and aborts programme
{
	_cprintf("%s %s", "FATAL ERROR: ", Message);
	exit(1);
}

void ClearFullScreen(void)
{
	_cprintf("PRESS ANY KEY TO CONTINUE AND CLEAR SCREEN");
	_getch();
	system("clr");
}
