// Model.h
// Variable and other declarations for Model.c

#ifndef MODEL_H
#define MODEL_H

	void GetRunPars(void);						// Gets run-time parameters
	void ZeroLimits(void);						// Sets std parameters to zero
	void InitCounters(void);					// Initialises counters
	void InitObservations(void);				// Initialises observation arrays


	void ScreenHeader(void);						// Header for run-time o/p
	void UpDateScreen(void);					// Run-time screen data

	void Arrive(void);							// Arrival B for PersEnqs
	void EndServe(void);						// End serve B for PersEnqs
	void Call(void); 							// Call B for phone calls
	void EndTalk(void); 						// End talk B for phone calls
	void Observe(void); 						// Regular observation B

	void BeginPerService(void);					// C to start personal service
	void BeginPhoneConv(void);					// C to start phone conversation
#endif
